_SDL_HatMapping Struct Reference

## Data Fields

int | hat
Uint8 | mask

## Detailed Description

Definition at line 42 of file SDL_gamecontroller.c.

## Field Documentation

int _SDL_HatMapping::hat

Definition at line 44 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton(), and SDL_PrivateLoadButtonMapping().

Uint8 _SDL_HatMapping::mask

Definition at line 45 of file SDL_gamecontroller.c.

Referenced by SDL_PrivateGameControllerParseButton().

The documentation for this struct was generated from the following file:

- src/joystick/SDL_gamecontroller.c